from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.sheet import XSheetCellRange

@runtime_checkable
class XSheetCellCursor(XSheetCellRange, Protocol):
    def collapseToCurrentRegion(self) -> None: ...
    def collapseToCurrentArray(self) -> None: ...
    def collapseToMergedArea(self) -> None: ...
    def expandToEntireColumns(self) -> None: ...
    def expandToEntireRows(self) -> None: ...
    def collapseToSize(self, nColumns: int, nRows: int) -> None: ...
